> ## Documentation Index
> Fetch the complete documentation index at: https://developer.novacpayment.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Direct Card Charge (Internal v3)



## OpenAPI

````yaml post /api/v3/direct-card-charge-internal
openapi: 3.0.1
info:
  title: NOVAC API
  version: v1
servers:
  - url: https://api.novacpayment.com/
security:
  - Bearer: []
paths:
  /api/v3/direct-card-charge-internal:
    post:
      tags:
        - Collection
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/InternalDirectChargeRequestDto'
          text/json:
            schema:
              $ref: '#/components/schemas/InternalDirectChargeRequestDto'
          application/*+json:
            schema:
              $ref: '#/components/schemas/InternalDirectChargeRequestDto'
      responses:
        '200':
          description: OK
components:
  schemas:
    InternalDirectChargeRequestDto:
      type: object
      properties:
        businessId:
          type: integer
          format: int32
        amount:
          type: number
          format: double
        currency:
          type: string
          nullable: true
        transactionType:
          type: string
          nullable: true
        enforceSecureAuth:
          type: boolean
        cardData:
          $ref: '#/components/schemas/Data'
        metadata:
          type: string
          nullable: true
      additionalProperties: false
    Data:
      type: object
      properties:
        number:
          type: string
          nullable: true
        expiryMonth:
          type: string
          nullable: true
        expiryYear:
          type: string
          nullable: true
        cvv:
          type: string
          nullable: true
        pin:
          type: string
          nullable: true
      additionalProperties: false
  securitySchemes:
    Bearer:
      type: apiKey
      description: >-
        Input your Bearer token in this format - Bearer {your token here} to
        access this API
      name: Authorization
      in: header

````